#include <stdio.h>
#include <pico/stdlib.h>


#define OUTPUT 1
#define INPUT 0
#define HIGH 1
#define LOW 0

void pinMode(unsigned int port, char modo);
void digitalWrite(unsigned int port, char val);
void delay(long t);

#define MILED 25

int main()
{
	stdio_init_all();
	delay(1000);
	printf("-----------------------\n");
	printf("----Hola SENSORES------\n");
	pinMode(MILED, OUTPUT);
	while(1)
	{
	  printf("Estado %d\n",0);
	  digitalWrite(MILED, LOW);
	  delay(1000);
	  printf("Estado %d\n",1);
	  digitalWrite(MILED, HIGH);
	  delay(2000);
	}
}


//---------------I/O----------------
void pinMode(unsigned int port, char modo)
{
	gpio_init(port);
	if(modo==OUTPUT)
		gpio_set_dir(port, GPIO_OUT);
	 else
		gpio_set_dir(port, GPIO_IN);
}

void digitalWrite(unsigned int port, char val)
{
	gpio_put(port, val);
}

void delay(long t)
{
	sleep_ms(t);
}

