

#define OUTPUT 1
#define INPUT 0
#define HIGH 1
#define LOW 0

void pinMode(unsigned int port, char modo);
void digitalWrite(unsigned int port, char val);
int digitalRead(unsigned int port);
void delay(long t);
void delayMicroseconds(long t);


//---------------I/O----------------
void pinMode(unsigned int port, char modo)
{
	gpio_init(port);
	if(modo==OUTPUT)
		gpio_set_dir(port, GPIO_OUT);
	 else
		gpio_set_dir(port, GPIO_IN);
}

void digitalWrite(unsigned int port, char val)
{
	gpio_put(port, val);
}

int digitalRead(unsigned int port)
{
	return( gpio_get(port) );
}

void delay(long t)
{
	sleep_ms(t);
}

void delayMicroseconds(long t)
{
	sleep_us (t);
}
